<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    testing_platform
 */

/**
 * Composr test case class (unit testing).
 */
class rss_test_set extends cms_test_case
{
    public function setUp()
    {
        parent::setUp();

        require_code('rss');
    }

    public function testRSS()
    {
        $rssfeed = get_file_base() . '/_tests/assets/xml/rss.cms';
        $atomfeed = get_file_base() . '/_tests/assets/xml/atom.cms';
        $rss = new CMS_RSS($rssfeed, true);
        $atom = new CMS_RSS($atomfeed, true);
        $rsstitle = $rss->gleamed_items[0]['title'];
        $atomtitle = $atom->gleamed_items[0]['title'];
        $this->assertTrue('Item Example' == $rsstitle);
        $this->assertTrue('Atom-Powered Robots Run Amok' == $atomtitle);
    }
}
